package start2_3.ducks.yoder;

import start2_3.ducks.Duck;

import java.text.DecimalFormat;

public class DarkWingDuck extends Duck {
    private double rocketFuelKg;

    /* package */ DarkWingDuck(double rocketFuelKg) {
        this.rocketFuelKg = rocketFuelKg;
    }

    @Override
    public String toString() {
        DecimalFormat format = new DecimalFormat("#.#");
        return "DarkWingDuck with "+format.format(rocketFuelKg)+ " Kg of fuel.";
    }
}
